Package com.ocient.jdbc.proto

## Class PlanProtocol.FrameSpec.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.FrameSpec.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.FrameSpecOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.FrameSpec

    public static final class PlanProtocol.FrameSpec.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>
    implements PlanProtocol.FrameSpecOrBuilder

Protobuf type `xg.db.sqlPlans.FrameSpec`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.FrameSpec.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.FrameSpec` `build()`
`PlanProtocol.FrameSpec` `buildPartial()`
`PlanProtocol.FrameSpec.Builder` `clear()`
`PlanProtocol.FrameSpec.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.FrameSpec.Builder` `clearFrameType()` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`PlanProtocol.FrameSpec.Builder` `clearIncludePeers()` `bool include_peers = 2;`
`PlanProtocol.FrameSpec.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.FrameSpec.Builder` `clearRelativeEnd()` `int64 relative_end = 4;`
`PlanProtocol.FrameSpec.Builder` `clearRelativeStart()` Only used for frame type interval
`PlanProtocol.FrameSpec.Builder` `clone()`
`PlanProtocol.FrameSpec` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`PlanProtocol.FrameSpec.FrameType` `getFrameType()` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`int` `getFrameTypeValue()` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`boolean` `getIncludePeers()` `bool include_peers = 2;`
`long` `getRelativeEnd()` `int64 relative_end = 4;`
`long` `getRelativeStart()` Only used for frame type interval
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.FrameSpec.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.FrameSpec.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.FrameSpec.Builder` `mergeFrom​(PlanProtocol.FrameSpec other)`
`PlanProtocol.FrameSpec.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.FrameSpec.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.FrameSpec.Builder` `setFrameType​(PlanProtocol.FrameSpec.FrameType value)` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`PlanProtocol.FrameSpec.Builder` `setFrameTypeValue​(int value)` `.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`
`PlanProtocol.FrameSpec.Builder` `setIncludePeers​(boolean value)` `bool include_peers = 2;`
`PlanProtocol.FrameSpec.Builder` `setRelativeEnd​(long value)` `int64 relative_end = 4;`
`PlanProtocol.FrameSpec.Builder` `setRelativeStart​(long value)` Only used for frame type interval
`PlanProtocol.FrameSpec.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.FrameSpec.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### clear

    public PlanProtocol.FrameSpec.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.FrameSpec getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.FrameSpec build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.FrameSpec buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.FrameSpec.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### setField

    public PlanProtocol.FrameSpec.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### clearField

    public PlanProtocol.FrameSpec.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### clearOneof

    public PlanProtocol.FrameSpec.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### setRepeatedField

    public PlanProtocol.FrameSpec.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           int index,
                                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### addRepeatedField

    public PlanProtocol.FrameSpec.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### mergeFrom

    public PlanProtocol.FrameSpec.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.FrameSpec.Builder>`

#### mergeFrom

    public PlanProtocol.FrameSpec.Builder mergeFrom​(PlanProtocol.FrameSpec other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### mergeFrom

    public PlanProtocol.FrameSpec.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.FrameSpec.Builder>`
Throws:
  `IOException`

#### getFrameTypeValue

    public int getFrameTypeValue()

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Specified by:
  `getFrameTypeValue` in interface `PlanProtocol.FrameSpecOrBuilder`
Returns:
  The enum numeric value on the wire for frameType.

#### setFrameTypeValue

    public PlanProtocol.FrameSpec.Builder setFrameTypeValue​(int value)

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Parameters:
  `value` - The enum numeric value on the wire for frameType to set.
Returns:
  This builder for chaining.

#### getFrameType

    public PlanProtocol.FrameSpec.FrameType getFrameType()

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Specified by:
  `getFrameType` in interface `PlanProtocol.FrameSpecOrBuilder`
Returns:
  The frameType.

#### setFrameType

    public PlanProtocol.FrameSpec.Builder setFrameType​(PlanProtocol.FrameSpec.FrameType value)

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Parameters:
  `value` - The frameType to set.
Returns:
  This builder for chaining.

#### clearFrameType

    public PlanProtocol.FrameSpec.Builder clearFrameType()

`.xg.db.sqlPlans.FrameSpec.FrameType frame_type = 1;`

Returns:
  This builder for chaining.

#### getIncludePeers

    public boolean getIncludePeers()

`bool include_peers = 2;`

Specified by:
  `getIncludePeers` in interface `PlanProtocol.FrameSpecOrBuilder`
Returns:
  The includePeers.

#### setIncludePeers

    public PlanProtocol.FrameSpec.Builder setIncludePeers​(boolean value)

`bool include_peers = 2;`

Parameters:
  `value` - The includePeers to set.
Returns:
  This builder for chaining.

#### clearIncludePeers

    public PlanProtocol.FrameSpec.Builder clearIncludePeers()

`bool include_peers = 2;`

Returns:
  This builder for chaining.

#### getRelativeStart

    public long getRelativeStart()

    Only used for frame type interval

`int64 relative_start = 3;`

Specified by:
  `getRelativeStart` in interface `PlanProtocol.FrameSpecOrBuilder`
Returns:
  The relativeStart.

#### setRelativeStart

    public PlanProtocol.FrameSpec.Builder setRelativeStart​(long value)

    Only used for frame type interval

`int64 relative_start = 3;`

Parameters:
  `value` - The relativeStart to set.
Returns:
  This builder for chaining.

#### clearRelativeStart

    public PlanProtocol.FrameSpec.Builder clearRelativeStart()

    Only used for frame type interval

`int64 relative_start = 3;`

Returns:
  This builder for chaining.

#### getRelativeEnd

    public long getRelativeEnd()

`int64 relative_end = 4;`

Specified by:
  `getRelativeEnd` in interface `PlanProtocol.FrameSpecOrBuilder`
Returns:
  The relativeEnd.

#### setRelativeEnd

    public PlanProtocol.FrameSpec.Builder setRelativeEnd​(long value)

`int64 relative_end = 4;`

Parameters:
  `value` - The relativeEnd to set.
Returns:
  This builder for chaining.

#### clearRelativeEnd

    public PlanProtocol.FrameSpec.Builder clearRelativeEnd()

`int64 relative_end = 4;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final PlanProtocol.FrameSpec.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.FrameSpec.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.FrameSpec.Builder>`